Bug 25195 - Не запускается awn-settings
: Не запускается awn-settings
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/avant-window-navigator)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-03-05 15:38 by
Modified: 2011-03-14 11:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-03-05 15:38:53
На текущем сизифе перестал запускаться awn-settings. При запуске вываливается
со следующим трейсом

** Message: pygobject_register_sinkfunc is deprecated (AwnOverlay)
Traceback (most recent call last):
  File "/usr/bin/awn-settings", line 1223, in <module>
    awnmanager = awnManagerMini()
  File "/usr/bin/awn-settings", line 1072, in __init__
    self.createMainMenu()
  File "/usr/bin/awn-settings", line 1132, in createMainMenu
    self.PREFERENCE_PANEL
TypeError: value is of wrong type for this column

Проблема не является спецефичной для альта. На ланчпаде 

https://bugs.launchpad.net/ubuntu/+source/avant-window-navigator/+bug/702701

описано решение проблемы. Ссылка на патч

http://launchpadlibrarian.net/63815944/awn-settings.patch
------- Comment #1 From 2011-03-14 11:05:39 -------
avant-window-navigator-0.4.0-alt2 -> sisyphus:

* Mon Mar 14 2011 Yuri N. Sedunov <aris@altlinux> 0.4.0-alt2
- fixed https://bugs.launchpad.net/awn/+bug/702701 (ALT #25195)